libwpd_internal.cpp File Reference
`#include "libwpd_internal.h"`
`#include <librevenge-stream/librevenge-stream.h>`
`#include <cstdarg>`
`#include <cstdio>`
`#include <ctype.h>`
`#include <locale.h>`
`#include <string>`
`#include <vector>`
`#include <boost/spirit/include/qi.hpp>`
`#include "WP6TibetanMap.h"`
`#include "WP6FileStructure.h"`
`#include "WP5FileStructure.h"`
`#include "WPXFileStructure.h"`
`#include "libwpd_math.h"`

## Classes

struct | WPXComplexMap

## Functions

unsigned char | readU8 (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned short | readU16 (librevenge::RVNGInputStream *input, WPXEncryption *encryption, bool bigendian)
signed short | readS16 (librevenge::RVNGInputStream *input, WPXEncryption *encryption, bool bigendian)
unsigned | readU32 (librevenge::RVNGInputStream *input, WPXEncryption *encryption, bool bigendian)
void | appendUCS4 (librevenge::RVNGString &str, unsigned ucs4)
librevenge::RVNGString | readPascalString (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
librevenge::RVNGString | readCString (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
static int | findSimpleMap (unsigned short character, const unsigned **chars, const unsigned *simpleMap, const size_t simpleMapSize)
static int | findComplexMap (unsigned short character, const unsigned **chars, const WPXComplexMap *complexMap)
int | extendedCharacterWP6ToUCS4 (unsigned char character, unsigned char characterSet, const unsigned **chars)
int | extendedCharacterWP5ToUCS4 (unsigned char character, unsigned char characterSet, const unsigned **chars)
int | extendedCharacterWP42ToUCS4 (unsigned char character, const unsigned **chars)
unsigned short | fixedPointToWPUs (const unsigned fixedPointNumber)
double | fixedPointToDouble (const unsigned fixedPointNumber)
double | wpuToFontPointSize (const unsigned short wpuNumber)
int | _extractNumericValueFromRoman (const char romanChar)
int | _extractDisplayReferenceNumberFromBuf (const librevenge::RVNGString &buf, const WPXNumberingType listType)
WPXNumberingType | _extractWPXNumberingTypeFromBuf (const librevenge::RVNGString &buf, const WPXNumberingType putativeWPXNumberingType)
librevenge::RVNGString | _numberingTypeToString (WPXNumberingType t)
librevenge::RVNGString | doubleToString (const double value)
int | appleWorldScriptToUCS4 (unsigned short character, const unsigned **chars)

## Variables

static const unsigned | asciiMap []
static const unsigned | multinationalWP6 []
static const WPXComplexMap | multinationalWP6Complex []
static const unsigned | phoneticWP6 []
static const unsigned | boxdrawingWP6 []
static const unsigned | typographicWP6 []
static const unsigned | iconicWP6 []
static const unsigned | mathWP6 []
static const unsigned | mathextWP6 []
static const unsigned | greekWP6 []
static const unsigned | hebrewWP6 []
static const unsigned | cyrillicWP6 []
static const unsigned | japaneseWP6 []
static const unsigned | arabicWP6 []
static const unsigned | arabicScriptWP6 []
static const unsigned | international2WP5 []
static const unsigned | iconicWP5 []
static const unsigned | greekWP5 []
static const unsigned | hebrewWP5 []
static const unsigned | cyrillicWP5 []
static const WPXComplexMap | cyrillicWP5Complex []
static const unsigned | japaneseWP5 []
static const unsigned | arabicWP5 []
static const WPXComplexMap | arabicWP5Complex []
static const unsigned | arabicScriptWP5 []
static const unsigned | extendedCharactersWP42 []
const unsigned | macRomanCharacterMap []

## Function Documentation

## _extractDisplayReferenceNumberFromBuf()

int _extractDisplayReferenceNumberFromBuf | ( | const librevenge::RVNGString & | buf,
|  | const WPXNumberingType | listType )

Referenced by WP6ContentListener::_handleListChange(), WP3ContentListener::insertNote(), WP5ContentListener::insertNote(), and WP6ContentListener::noteOff().

## _extractNumericValueFromRoman()

int _extractNumericValueFromRoman | ( | const char | romanChar | ) |

Referenced by _extractDisplayReferenceNumberFromBuf().

## _extractWPXNumberingTypeFromBuf()

WPXNumberingType _extractWPXNumberingTypeFromBuf | ( | const librevenge::RVNGString & | buf,
|  | const WPXNumberingType | putativeWPXNumberingType )

Referenced by WP6ContentListener::_handleListChange(), WP3ContentListener::insertNote(), WP5ContentListener::insertNote(), and WP6ContentListener::noteOff().

## _numberingTypeToString()

librevenge::RVNGString _numberingTypeToString | ( | WPXNumberingType | t | ) |

Referenced by WP6ContentListener::_handleListChange(), WPXContentListener::_insertPageNumberParagraph(), and WP6ContentListener::displayNumberReferenceGroupOff().

## appendUCS4()

void appendUCS4 | ( | librevenge::RVNGString & | str,
|  | unsigned | ucs4 )

Referenced by WP6GraphicsBoxStylePacket::_readContents(), WP6HyperlinkPacket::_readContents(), WP6FontDescriptorPacket::_readFontName(), WP1ContentListener::insertCharacter(), WP3ContentListener::insertCharacter(), WP42ContentListener::insertCharacter(), WP5ContentListener::insertCharacter(), WP6ContentListener::insertCharacter(), WP1ContentListener::insertExtendedCharacter(), WP6ExtendedDocumentSummaryPacket::parse(), and readPascalString().

## appleWorldScriptToUCS4()

int appleWorldScriptToUCS4 | ( | unsigned short | character,
|  | const unsigned ** | chars )

Referenced by WP3DoubleByteScriptCharacterGroup::parse(), and readPascalString().

## doubleToString()

librevenge::RVNGString doubleToString | ( | const double | value | ) |

Referenced by WPXContentListener::_openSpan(), and addBorderProps().

## extendedCharacterWP42ToUCS4()

int extendedCharacterWP42ToUCS4 | ( | unsigned char | character,
|  | const unsigned ** | chars )

Referenced by WP42ExtendedCharacterGroup::parse().

## extendedCharacterWP5ToUCS4()

int extendedCharacterWP5ToUCS4 | ( | unsigned char | character,
|  | unsigned char | characterSet,
|  | const unsigned ** | chars )

Referenced by WP3ExtendedCharacterGroup::parse(), and WP5ExtendedCharacterGroup::parse().

## extendedCharacterWP6ToUCS4()

int extendedCharacterWP6ToUCS4 | ( | unsigned char | character,
|  | unsigned char | characterSet,
|  | const unsigned ** | chars )

Referenced by WP6GraphicsBoxStylePacket::_readContents(), WP6FontDescriptorPacket::_readFontName(), WP6CharacterGroup_SetAlignmentCharacterSubGroup::parse(), WP6CharacterGroup_SetDotLeaderCharactersSubGroup::parse(), WP6ExtendedCharacterGroup::parse(), and WP6ExtendedDocumentSummaryPacket::parse().

## findComplexMap()

int findComplexMap | ( | unsigned short | character,
|  | const unsigned ** | chars,
|  | const WPXComplexMap * | complexMap )

static

Referenced by appleWorldScriptToUCS4(), extendedCharacterWP5ToUCS4(), and extendedCharacterWP6ToUCS4().

## findSimpleMap()

int findSimpleMap | ( | unsigned short | character,
|  | const unsigned ** | chars,
|  | const unsigned * | simpleMap,
|  | const size_t | simpleMapSize )

static

Referenced by appleWorldScriptToUCS4(), extendedCharacterWP42ToUCS4(), extendedCharacterWP5ToUCS4(), and extendedCharacterWP6ToUCS4().

## fixedPointToDouble()

double fixedPointToDouble | ( | const unsigned | fixedPointNumber | ) |

Referenced by WP3IndentGroup::_readContents(), WP3PageFormatGroup::_readContents(), WP3TabGroup::_readContents(), WP3WindowGroup::_readContents(), and WP3PageFormatGroup::parse().

## fixedPointToWPUs()

unsigned short fixedPointToWPUs | ( | const unsigned | fixedPointNumber | ) |

Referenced by WP3DefinitionGroup::_readContents(), WP3MiscellaneousGroup::_readContents(), WP3PageFormatGroup::parse(), and WP3TablesGroup::parse().

## readCString()

librevenge::RVNGString readCString | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

Referenced by WP5FontNameStringPoolPacket::_readContents().

## readPascalString()

librevenge::RVNGString readPascalString | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

Referenced by WP3DisplayGroup::_readContents(), WP3FontGroup::_readContents(), and WP3ResourceFork::WP3ResourceFork().

## readS16()

signed short readS16 | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | bool | bigendian )

Referenced by WP6FillStylePacket::_readContents().

## readU16()

unsigned short readU16 | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | bool | bigendian )

Referenced by WP3VariableLengthGroup::_read(), WP5GeneralPacketIndex::_read(), WP5SpecialHeaderIndex::_read(), WP5VariableLengthGroup::_read(), WP6PrefixIndice::_read(), WP6VariableLengthGroup::_read(), WP1BottomMarginGroup::_readContents(), WP1FontIdGroup::_readContents(), WP1FootnoteEndnoteGroup::_readContents(), WP1LeftIndentGroup::_readContents(), WP1LeftRightIndentGroup::_readContents(), WP1MarginReleaseGroup::_readContents(), WP1MarginResetGroup::_readContents(), WP1PictureGroup::_readContents(), WP1SetTabsGroup::_readContents(), WP1TopMarginGroup::_readContents(), WP3DefinitionGroup::_readContents(), WP3DoubleByteScriptCharacterGroup::_readContents(), WP3FontGroup::_readContents(), WP3FootnoteEndnoteGroup::_readContents(), WP3HeaderFooterGroup::_readContents(), WP3MiscellaneousGroup::_readContents(), WP3PageFormatGroup::_readContents(), WP3TablesGroup::_readContents(), WP3UndoGroup::_readContents(), WP3WindowGroup::_readContents(), WP5BoxGroup::_readContents(), WP5FontGroup::_readContents(), WP5FootnoteEndnoteGroup::_readContents(), WP5GraphicsInformationPacket::_readContents(), WP5IndentGroup::_readContents(), WP5ListFontsUsedPacket::_readContents(), WP5PageFormatGroup::_readContents(), WP5TabGroup::_readContents(), WP5TableEOLGroup::_readContents(), WP6BoxGroup::_readContents(), WP6ColumnGroup::_readContents(), WP6CommentAnnotationPacket::_readContents(), WP6DefaultInitialFontPacket::_readContents(), WP6EOLGroup::_readContents(), WP6FillStylePacket::_readContents(), WP6FontDescriptorPacket::_readContents(), WP6GeneralTextPacket::_readContents(), WP6GraphicsBoxStylePacket::_readContents(), WP6GraphicsFilenamePacket::_readContents(), WP6HyperlinkPacket::_readContents(), WP6OutlineStylePacket::_readContents(), WP6PageGroup::_readContents(), WP6SetNumberGroup::_readContents(), WP6TabGroup::_readContents(), WP6UndoGroup::_readContents(), WP6FontDescriptorPacket::_readFontName(), WP6Header::_readIndexInformation(), WPXHeader::constructHeader(), WP3VariableLengthGroup::isGroupConsistent(), WP5VariableLengthGroup::isGroupConsistent(), WP6VariableLengthGroup::isGroupConsistent(), WP1Heuristics::isWP1FileFormat(), WP42Heuristics::isWP42FileFormat(), WP6ExtendedDocumentSummaryPacket::parse(), readS16(), WP1Heuristics::verifyPassword(), WP42Heuristics::verifyPassword(), WP3ResourceFork::WP3ResourceFork(), WP5DefinitionGroup_DefineTablesSubGroup::WP5DefinitionGroup_DefineTablesSubGroup(), WP6CharacterGroup_FontFaceChangeSubGroup::WP6CharacterGroup_FontFaceChangeSubGroup(), WP6CharacterGroup_FontSizeChangeSubGroup::WP6CharacterGroup_FontSizeChangeSubGroup(), WP6CharacterGroup_ParagraphNumberOnSubGroup::WP6CharacterGroup_ParagraphNumberOnSubGroup(), WP6CharacterGroup_SetAlignmentCharacterSubGroup::WP6CharacterGroup_SetAlignmentCharacterSubGroup(), WP6CharacterGroup_SetDotLeaderCharactersSubGroup::WP6CharacterGroup_SetDotLeaderCharactersSubGroup(), WP6CharacterGroup_TableColumnSubGroup::WP6CharacterGroup_TableColumnSubGroup(), WP6CharacterGroup_TableDefinitionOnSubGroup::WP6CharacterGroup_TableDefinitionOnSubGroup(), WP6Header::WP6Header(), WP6ParagraphGroup_IndentFirstLineSubGroup::WP6ParagraphGroup_IndentFirstLineSubGroup(), WP6ParagraphGroup_LeftMarginAdjustmentSubGroup::WP6ParagraphGroup_LeftMarginAdjustmentSubGroup(), WP6ParagraphGroup_OutlineDefineSubGroup::WP6ParagraphGroup_OutlineDefineSubGroup(), WP6ParagraphGroup_RightMarginAdjustmentSubGroup::WP6ParagraphGroup_RightMarginAdjustmentSubGroup(), WP6ParagraphGroup_SpacingAfterParagraphSubGroup::WP6ParagraphGroup_SpacingAfterParagraphSubGroup(), WP6ParagraphGroup_TabSetSubGroup::WP6ParagraphGroup_TabSetSubGroup(), and WP6StyleGroup_GlobalOnSubGroup::WP6StyleGroup_GlobalOnSubGroup().

## readU32()

unsigned readU32 | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | bool | bigendian )

Referenced by WP1VariableLengthGroup::_read(), WP5GeneralPacketIndex::_read(), WP5SpecialHeaderIndex::_read(), WP6PrefixIndice::_read(), WP3DefinitionGroup::_readContents(), WP3IndentGroup::_readContents(), WP3MiscellaneousGroup::_readContents(), WP3PageFormatGroup::_readContents(), WP3TabGroup::_readContents(), WP3TablesGroup::_readContents(), WP3WindowGroup::_readContents(), WP5GraphicsInformationPacket::_readContents(), WP6ColumnGroup::_readContents(), WP6GeneralTextPacket::_readContents(), WPXHeader::constructHeader(), WP1VariableLengthGroup::isGroupConsistent(), WP1Heuristics::isWP1FileFormat(), WP3ResourceFork::WP3ResourceFork(), WP61Header::WP61Header(), WP6CharacterGroup_TableColumnSubGroup::WP6CharacterGroup_TableColumnSubGroup(), WP6ParagraphGroup_LineSpacingSubGroup::WP6ParagraphGroup_LineSpacingSubGroup(), and WP6ParagraphGroup_SpacingAfterParagraphSubGroup::WP6ParagraphGroup_SpacingAfterParagraphSubGroup().

## readU8()

unsigned char readU8 | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

Referenced by WP1FixedLengthGroup::_read(), WP1VariableLengthGroup::_read(), WP3FixedLengthGroup::_read(), WP3VariableLengthGroup::_read(), WP42MultiByteFunctionGroup::_read(), WP5FixedLengthGroup::_read(), WP5VariableLengthGroup::_read(), WP6FixedLengthGroup::_read(), WP6PrefixIndice::_read(), WP6VariableLengthGroup::_read(), WP1ExtendedCharacterGroup::_readContents(), WP1FootnoteEndnoteGroup::_readContents(), WP1HeaderFooterGroup::_readContents(), WP1JustificationGroup::_readContents(), WP1PictureGroup::_readContents(), WP1PointSizeGroup::_readContents(), WP1SetTabsGroup::_readContents(), WP1SpacingResetGroup::_readContents(), WP1SuppressPageCharacteristicsGroup::_readContents(), WP3AttributeGroup::_readContents(), WP3DefinitionGroup::_readContents(), WP3ExtendedCharacterGroup::_readContents(), WP3HeaderFooterGroup::_readContents(), WP3IndentGroup::_readContents(), WP3PageFormatGroup::_readContents(), WP3TabGroup::_readContents(), WP3TablesGroup::_readContents(), WP3UndoGroup::_readContents(), WP3WindowGroup::_readContents(), WP42DefineColumnsGroup::_readContents(), WP42ExtendedCharacterGroup::_readContents(), WP42HeaderFooterGroup::_readContents(), WP42MarginResetGroup::_readContents(), WP42SuppressPageCharacteristicsGroup::_readContents(), WP5AttributeGroup::_readContents(), WP5BoxGroup::_readContents(), WP5ExtendedCharacterGroup::_readContents(), WP5FontGroup::_readContents(), WP5FootnoteEndnoteGroup::_readContents(), WP5GraphicsInformationPacket::_readContents(), WP5HeaderFooterGroup::_readContents(), WP5IndentGroup::_readContents(), WP5PageFormatGroup::_readContents(), WP5TabGroup::_readContents(), WP5TableEOLGroup::_readContents(), WP6AttributeGroup::_readContents(), WP6BoxGroup::_readContents(), WP6ColumnGroup::_readContents(), WP6CommentAnnotationPacket::_readContents(), WP6DisplayNumberReferenceGroup::_readContents(), WP6EOLGroup::_readContents(), WP6ExtendedCharacterGroup::_readContents(), WP6ExtendedDocumentSummaryPacket::_readContents(), WP6FillStylePacket::_readContents(), WP6FontDescriptorPacket::_readContents(), WP6GeneralTextPacket::_readContents(), WP6GraphicsBoxStylePacket::_readContents(), WP6GraphicsCachedFileDataPacket::_readContents(), WP6HeaderFooterGroup::_readContents(), WP6HighlightGroup::_readContents(), WP6NumberingMethodGroup::_readContents(), WP6OutlineStylePacket::_readContents(), WP6PageGroup::_readContents(), WP6SetNumberGroup::_readContents(), WP6UndoGroup::_readContents(), WPXHeader::constructHeader(), WP1VariableLengthGroup::isGroupConsistent(), WP3FixedLengthGroup::isGroupConsistent(), WP3VariableLengthGroup::isGroupConsistent(), WP5FixedLengthGroup::isGroupConsistent(), WP5VariableLengthGroup::isGroupConsistent(), WP6FixedLengthGroup::isGroupConsistent(), WP6VariableLengthGroup::isGroupConsistent(), WP1Heuristics::isWP1FileFormat(), WP42Heuristics::isWP42FileFormat(), WP42SubDocument::parse(), WP6ExtendedDocumentSummaryPacket::parse(), WP1Parser::parseDocument(), WP3Parser::parseDocument(), WP42Parser::parseDocument(), WP5Parser::parseDocument(), WP6Parser::parseDocument(), readCString(), readPascalString(), WP1Heuristics::verifyPassword(), WP42Heuristics::verifyPassword(), WP3ResourceFork::WP3ResourceFork(), WP5DefinitionGroup_DefineTablesSubGroup::WP5DefinitionGroup_DefineTablesSubGroup(), WP6CharacterGroup_CharacterShadingChangeSubGroup::WP6CharacterGroup_CharacterShadingChangeSubGroup(), WP6CharacterGroup_ColorSubGroup::WP6CharacterGroup_ColorSubGroup(), WP6CharacterGroup_ParagraphNumberOnSubGroup::WP6CharacterGroup_ParagraphNumberOnSubGroup(), WP6CharacterGroup_SetDotLeaderCharactersSubGroup::WP6CharacterGroup_SetDotLeaderCharactersSubGroup(), WP6CharacterGroup_TableColumnSubGroup::WP6CharacterGroup_TableColumnSubGroup(), WP6CharacterGroup_TableDefinitionOnSubGroup::WP6CharacterGroup_TableDefinitionOnSubGroup(), WP6ParagraphGroup_JustificationModeSubGroup::WP6ParagraphGroup_JustificationModeSubGroup(), WP6ParagraphGroup_OutlineDefineSubGroup::WP6ParagraphGroup_OutlineDefineSubGroup(), WP6ParagraphGroup_TabSetSubGroup::WP6ParagraphGroup_TabSetSubGroup(), WP6StyleGroup_GlobalOnSubGroup::WP6StyleGroup_GlobalOnSubGroup(), and WPXSubDocument::WPXSubDocument().

## wpuToFontPointSize()

double wpuToFontPointSize | ( | const unsigned short | wpuNumber | ) |

Referenced by WP6ContentListener::fontChange(), and WP6StylesListener::pageNumberingChange().

## Variable Documentation

## arabicScriptWP5

const unsigned arabicScriptWP5[]

static

Referenced by extendedCharacterWP5ToUCS4().

## arabicScriptWP6

const unsigned arabicScriptWP6[]

static

Referenced by extendedCharacterWP6ToUCS4().

## arabicWP5

const unsigned arabicWP5[]

static

Initial value:
=
{
0x0020, 0x0020, 0x0020, 0x0020, 0x0020, 0x0020, 0x0020, 0x0020,
0x0020, 0x0020, 0x064e, 0xfe77, 0x064f, 0xfe79, 0x0650, 0xfe7b,
0x064b, 0x064c, 0x064c, 0x064d, 0x0652, 0xfe7f, 0x0651, 0xfe7d,
0xfc60, 0x0000, 0xfc61, 0x0000, 0xfc62, 0x0000, 0x0000, 0xfc5e,
0xfc5e, 0xfc5f, 0x0653, 0x0000, 0x0654, 0x060c, 0x061b, 0x061f,
0x066d, 0x0661, 0x0662, 0x0663, 0x0664, 0x0665, 0x0666, 0x0667,
0x0668, 0x0669, 0x0660, 0x06f2, 0x0627, 0xfe8e, 0x0628, 0xfe91,
0xfe92, 0xfe90, 0x062a, 0xfe97, 0xfe98, 0xfe96, 0x062b, 0xfe9b,
0xfe9c, 0xfe9a, 0x062c, 0xfe9f, 0xfea0, 0xfe9e, 0x062d, 0xfea3,
0xfea4, 0xfea2, 0x062e, 0xfea7, 0xfea8, 0xfea6, 0x062f, 0xfeaa,
0x0630, 0xfeac, 0x0631, 0xfeae, 0x0632, 0xfeb0, 0x0633, 0xfeb3,
0xfeb4, 0xfeb2, 0x0634, 0xfeb7, 0xfeb8, 0xfeb6, 0x0635, 0xfebb,
0xfebc, 0xfeba, 0x0636, 0xfebf, 0xfec0, 0xfebe, 0x0637, 0xfec3,
0xfec4, 0xfec2, 0x0638, 0xfec7, 0xfec8, 0xfec6, 0x0639, 0xfecb,
0xfecc, 0xfeca, 0x063a, 0xfecf, 0xfed0, 0xfece, 0x0641, 0xfed3,
0xfed4, 0xfed2, 0x0642, 0xfed6, 0xfed8, 0xfed6, 0x0643, 0xfedb,
0xfedc, 0xfeda, 0x0644, 0xfedf, 0xfee0, 0xfede, 0x0645, 0xfee3,
0xfee4, 0xfee2, 0x0646, 0xfee7, 0xfee8, 0xfee6, 0x0647, 0xfeeb,
0xfeec, 0xfeea, 0x0629, 0xfe94, 0x0648, 0xfeee, 0x064a, 0xfef3,
0xfef4, 0xfef2, 0x0649, 0xfef0, 0x0621, 0x0623, 0xfe84, 0x0625,
0xfe88, 0x0624, 0xfe86, 0x0626, 0xfe8b, 0xfe8c, 0xfe8a, 0xfd3d,
0xfd3c, 0x0622, 0xfe82, 0x02c6, 0xfefb, 0xfefc, 0xfef7, 0xfef8,
0xfef9, 0xfefa, 0x0000, 0x0000, 0xfef5, 0xfef6, 0x0000, 0x0000,
0xfdf2, 0x0640, 0x0640, 0x0671, 0xfb51, 0x066a, 0x00bb, 0x00ab,
0xfd3f, 0xfd3e
}

Referenced by extendedCharacterWP5ToUCS4().

## arabicWP5Complex

const WPXComplexMap arabicWP5Complex[]

static

Initial value:
=
{
{ 25, { 0x0640, 0xfc60, 0x0000 } },
{ 27, { 0x0640, 0xfc61, 0x0000 } },
{ 29, { 0x0640, 0xfc62, 0x0000 } },
{ 30, { 0x064b, 0x0651, 0x0000 } },
{ 35, { 0x0640, 0x0670, 0x0000 } },
{ 178, { 0xfefb, 0x064b, 0x0000 } },
{ 179, { 0xfefc, 0x064b, 0x0000 } },
{ 182, { 0xfefb, 0x02c6, 0x0000 } },
{ 183, { 0xfefc, 0x02c6, 0x0000 } },
{ 0, { 0x0000 } }
}

Referenced by extendedCharacterWP5ToUCS4().

## arabicWP6

const unsigned arabicWP6[]

static

Initial value:
=
{
0x0020, 0x0020, 0x0020, 0x0020, 0x0020, 0x0020, 0x0020, 0x0020,
0x0020, 0x0020, 0x064e, 0xfe77, 0x064f, 0xfe79, 0x0650, 0xfe7b,
0x064b, 0x064c, 0x064c, 0x064d, 0x0652, 0xfe7f, 0x0651, 0xfe7d,
0xfc60, 0xfcf2, 0xfc61, 0xfcf3, 0xfc62, 0xfcf4, 0x064b, 0xfc5e,
0xfc5e, 0xfc5f, 0x0653, 0x0670, 0x0654, 0x0020, 0x060c, 0x061b,
0x061f, 0x066d, 0x066a, 0x00bb, 0x00ab, 0x0029, 0x0028, 0x0661,
0x0662, 0x0663, 0x0664, 0x0665, 0x0666, 0x0667, 0x0668, 0x0669,
0x0660, 0x0662, 0x0627, 0xfe8e, 0x0628, 0xfe91, 0xfe92, 0xfe90,
0x062a, 0xfe97, 0xfe98, 0xfe96, 0x062b, 0xfe9b, 0xfe9c, 0xfe9a,
0x062c, 0xfe9f, 0xfea0, 0xfe9e, 0x062d, 0xfea3, 0xfea4, 0xfea2,
0x062e, 0xfea7, 0xfea8, 0xfea6, 0x062f, 0xfeaa, 0x0630, 0xfeac,
0x0631, 0xfeae, 0x0632, 0xfeaf, 0x0633, 0xfeb3, 0xfeb4, 0xfeb2,
0x0634, 0xfeb7, 0xfeb8, 0xfeb6, 0x0635, 0xfebb, 0xfebc, 0xfeba,
0x0636, 0xfebf, 0xfec0, 0xfebe, 0x0637, 0xfec3, 0xfec4, 0xfec2,
0x0638, 0xfec7, 0xfec8, 0xfec6, 0x0639, 0xfecb, 0xfecc, 0xfeca,
0x063a, 0xfecf, 0xfed0, 0xfece, 0x0641, 0xfed3, 0xfed4, 0xfed2,
0x0642, 0xfed7, 0xfed8, 0xfed6, 0x0643, 0xfedb, 0xfedc, 0xfeda,
0x0644, 0xfedf, 0xfee0, 0xfede, 0x0645, 0xfee3, 0xfee4, 0xfee2,
0x0646, 0xfee7, 0xfee8, 0xfee6, 0x0647, 0xfeeb, 0xfeec, 0xfeea,
0x0629, 0xfe94, 0x0648, 0xfeee, 0x064a, 0xfef3, 0xfef4, 0xfef2,
0x0649, 0xfef3, 0xfef4, 0xfef0, 0x0621, 0x0623, 0xfe84, 0x0625,
0xfe88, 0x0624, 0xfe86, 0x0626, 0xfe8b, 0xfe8c, 0xfe8a, 0xfd3d,
0xfd3c, 0x0622, 0xfe82, 0x0671, 0xfb51, 0xfefb, 0xfefc, 0xfef7,
0xfef8, 0xfef9, 0xfefa, 0x0020, 0xfefc, 0xfef5, 0xfef6, 0x0020,
0x0020, 0xfdf2, 0x0640, 0x0640
}

Referenced by extendedCharacterWP6ToUCS4().

## asciiMap

const unsigned asciiMap[]

static

Initial value:
=
{
32, 33, 34, 35, 36, 37, 38, 39,
40, 41, 42, 43, 44, 45, 46, 47,
48, 49, 50, 51, 52, 53, 54, 55,
56, 57, 58, 59, 60, 61, 62, 63,
64, 65, 66, 67, 68, 69, 70, 71,
72, 73, 74, 75, 76, 77, 78, 79,
80, 81, 82, 83, 84, 85, 86, 87,
88, 89, 90, 91, 92, 93, 94, 95,
96, 97, 98, 99, 100, 101, 102, 103,
104, 105, 106, 107, 108, 109, 110, 111,
112, 113, 114, 115, 116, 117, 118, 119,
120, 121, 122, 123, 124, 125, 126
}

Referenced by appleWorldScriptToUCS4(), extendedCharacterWP42ToUCS4(), extendedCharacterWP5ToUCS4(), and extendedCharacterWP6ToUCS4().

## boxdrawingWP6

const unsigned boxdrawingWP6[]

static

Initial value:
=
{
0x2591, 0x2592, 0x2593, 0x2588, 0x258c, 0x2580, 0x2590, 0x2584,
0x2500, 0x2502, 0x250c, 0x2510, 0x2518, 0x2514, 0x251c, 0x252c,
0x2524, 0x2534, 0x253c, 0x2550, 0x2551, 0x2554, 0x2557, 0x255d,
0x255a, 0x2560, 0x2566, 0x2563, 0x2569, 0x256c, 0x2552, 0x2555,
0x255b, 0x2558, 0x2553, 0x2556, 0x255c, 0x2559, 0x255e, 0x2565,
0x2561, 0x2568, 0x255f, 0x2564, 0x2562, 0x2567, 0x256b, 0x256a,
0x2574, 0x2575, 0x2576, 0x2577, 0x2578, 0x2579, 0x257a, 0x257b,
0x257c, 0x257e, 0x257d, 0x257f, 0x251f, 0x2522, 0x251e, 0x2521,
0x252e, 0x2532, 0x252d, 0x2531, 0x2527, 0x2526, 0x252a, 0x2529,
0x2536, 0x253a, 0x2535, 0x2539, 0x2541, 0x2546, 0x253e, 0x2540,
0x2544, 0x254a, 0x253d, 0x2545, 0x2548, 0x2543, 0x2549, 0x2547
}

Referenced by extendedCharacterWP5ToUCS4(), and extendedCharacterWP6ToUCS4().

## cyrillicWP5

const unsigned cyrillicWP5[]

static

Initial value:
=
{
0x0410, 0x0430, 0x0411, 0x0431, 0x0412, 0x0432, 0x0413, 0x0433,
0x0414, 0x0434, 0x0415, 0x0435, 0x0401, 0x0451, 0x0416, 0x0436,
0x0417, 0x0437, 0x0418, 0x0438, 0x0419, 0x0439, 0x041a, 0x043a,
0x041b, 0x043b, 0x041c, 0x043c, 0x041d, 0x043d, 0x041e, 0x043e,
0x041f, 0x043f, 0x0420, 0x0440, 0x0421, 0x0441, 0x0422, 0x0442,
0x0423, 0x0443, 0x0424, 0x0444, 0x0425, 0x0445, 0x0426, 0x0446,
0x0427, 0x0447, 0x0428, 0x0448, 0x0429, 0x0449, 0x042a, 0x044a,
0x042b, 0x044b, 0x042c, 0x044c, 0x042d, 0x044d, 0x042e, 0x044e,
0x042f, 0x044f, 0x0490, 0x0491, 0x0402, 0x0452, 0x0403, 0x0453,
0x0404, 0x0454, 0x0405, 0x0455, 0x0406, 0x0456, 0x0407, 0x0457,
0x0408, 0x0458, 0x0409, 0x0459, 0x040a, 0x045a, 0x040b, 0x045b,
0x040c, 0x045c, 0x040e, 0x045e, 0x040f, 0x045f, 0x0462, 0x0463,
0x0472, 0x0473, 0x0474, 0x0475, 0x046a, 0x046b, 0xa640, 0xa641,
0x0429, 0x0449, 0x04c0, 0x04cf, 0x0466, 0x0467, 0x0000, 0x0000,
0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000,
0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000,
0x0000, 0x0000, 0x0400, 0x0450, 0x0000, 0x0000, 0x040d, 0x045d,
0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000,
0x0000, 0x0000, 0x0000, 0x0000, 0x0301, 0x0300
}

Referenced by extendedCharacterWP5ToUCS4().

## cyrillicWP5Complex

const WPXComplexMap cyrillicWP5Complex[]

static

Initial value:
=
{
{ 110, { 0x0410, 0x0301, 0x0000 } }, { 111, { 0x0430, 0x0301, 0x0000 } },
{ 112, { 0x0415, 0x0301, 0x0000 } }, { 113, { 0x0435, 0x0301, 0x0000 } },
{ 114, { 0x0418, 0x0301, 0x0000 } }, { 115, { 0x0458, 0x0301, 0x0000 } },
{ 116, { 0x041e, 0x0301, 0x0000 } }, { 117, { 0x043e, 0x0301, 0x0000 } },
{ 118, { 0x0423, 0x0301, 0x0000 } }, { 119, { 0x0443, 0x0301, 0x0000 } },
{ 120, { 0x042b, 0x0301, 0x0000 } }, { 121, { 0x044b, 0x0301, 0x0000 } },
{ 122, { 0x042d, 0x0301, 0x0000 } }, { 123, { 0x044d, 0x0301, 0x0000 } },
{ 124, { 0x042e, 0x0301, 0x0000 } }, { 125, { 0x044e, 0x0301, 0x0000 } },
{ 126, { 0x042f, 0x0301, 0x0000 } }, { 127, { 0x044f, 0x0301, 0x0000 } },
{ 128, { 0x0410, 0x0300, 0x0000 } }, { 129, { 0x0430, 0x0300, 0x0000 } },
{ 132, { 0x0401, 0x0300, 0x0000 } }, { 133, { 0x0451, 0x0300, 0x0000 } },
{ 136, { 0x041e, 0x0300, 0x0000 } }, { 137, { 0x043e, 0x0300, 0x0000 } },
{ 138, { 0x0423, 0x0300, 0x0000 } }, { 139, { 0x0443, 0x0300, 0x0000 } },
{ 140, { 0x042b, 0x0300, 0x0000 } }, { 141, { 0x044b, 0x0300, 0x0000 } },
{ 142, { 0x042d, 0x0300, 0x0000 } }, { 143, { 0x044d, 0x0300, 0x0000 } },
{ 144, { 0x042e, 0x0300, 0x0000 } }, { 145, { 0x044e, 0x0300, 0x0000 } },
{ 146, { 0x042f, 0x0300, 0x0000 } }, { 147, { 0x044f, 0x0300, 0x0000 } },
{ 0, { 0x0000 } }
}

Referenced by extendedCharacterWP5ToUCS4().

## cyrillicWP6

const unsigned cyrillicWP6[]

static

Referenced by extendedCharacterWP6ToUCS4().

## extendedCharactersWP42

const unsigned extendedCharactersWP42[]

static

Referenced by extendedCharacterWP42ToUCS4().

## greekWP5

const unsigned greekWP5[]

static

Initial value:
=
{
0x0391, 0x03b1, 0x0392, 0x03b2, 0x0392, 0x03d0, 0x0393, 0x03b3,
0x0394, 0x03b4, 0x0395, 0x03b5, 0x0396, 0x03b6, 0x0397, 0x03b7,
0x0398, 0x03b8, 0x0399, 0x03b9, 0x039a, 0x03ba, 0x039b, 0x03bb,
0x039c, 0x03bc, 0x039d, 0x03bd, 0x039e, 0x03be, 0x039f, 0x03bf,
0x03a0, 0x03c0, 0x03a1, 0x03c1, 0x03a3, 0x03c3, 0x03f9, 0x03db,
0x03a4, 0x03c4, 0x03a5, 0x03c5, 0x03a6, 0x03d5, 0x03a7, 0x03c7,
0x03a8, 0x03c8, 0x03a9, 0x03c9, 0x03ac, 0x03ad, 0x03ae, 0x03af,
0x03ca, 0x03cc, 0x03cd, 0x03cb, 0x03ce, 0x03b5, 0x03d1, 0x03f0,
0x03d6, 0x1fe5, 0x03d2, 0x03c6, 0x03c9, 0x037e, 0x0387, 0x0384,
0x00a8, 0x0385, 0x1fed, 0x1fef, 0x1fc0, 0x1fbd, 0x1fbf, 0x1fbe,
0x1fce, 0x1fde, 0x1fcd, 0x1fdd, 0x1fcf, 0x1fdf, 0x0384, 0x1fef,
0x1fc0, 0x1fbd, 0x1fbf, 0x1fce, 0x1fde, 0x1fcd, 0x1fdd, 0x1fcf,
0x1fdf, 0x1f70, 0x1fb6, 0x1fb3, 0x1fb4, 0x1fb7, 0x1f00, 0x1f04,
0x1f02, 0x1f06, 0x1f80, 0x1f84, 0x1f86, 0x1f01, 0x1f05, 0x1f03,
0x1f07, 0x1f81, 0x1f85, 0x1f87, 0x1f72, 0x1f10, 0x1f14, 0x1f13,
0x1f11, 0x1f15, 0x1f13, 0x1f74, 0x1fc6, 0x1fc3, 0x1fc4, 0x1fc2,
0x1fc7, 0x1f20, 0x1f24, 0x1f22, 0x1f26, 0x1f90, 0x1f94, 0x1f96,
0x1f21, 0x1f25, 0x1f23, 0x1f27, 0x1f91, 0x1f95, 0x1f97, 0x1f76,
0x1fd6, 0x0390, 0x1fd2, 0x1f30, 0x1f34, 0x1f32, 0x1f36, 0x1f31,
0x1f35, 0x1f33, 0x1f37, 0x1f78, 0x1f40, 0x1f44, 0x1f42, 0x1f41,
0x1f45, 0x1f43, 0x1f7a, 0x1fe6, 0x03b0, 0x1fe3, 0x1f50, 0x1f54,
0x1f52, 0x1f56, 0x1f51, 0x1f55, 0x1f53, 0x1f57, 0x1f7c, 0x1ff6,
0x1ff3, 0x1ff4, 0x1ff2, 0x1ff7, 0x1f60, 0x1f64, 0x1f62, 0x1f66,
0x1fa0, 0x1fa4, 0x1fa6, 0x1f61, 0x1f65, 0x1f63, 0x1f67, 0x1fa1,
0x1fa5, 0x1fa7, 0x0374, 0x0375, 0x03db, 0x03dd, 0x03d9, 0x03e1,
0x0386, 0x0388, 0x0389, 0x038a, 0x038c, 0x038e, 0x038f, 0x03aa,
0x03ab, 0x1fe5
}

Referenced by extendedCharacterWP5ToUCS4().

## greekWP6

const unsigned greekWP6[]

static

Referenced by extendedCharacterWP6ToUCS4().

## hebrewWP5

const unsigned hebrewWP5[]

static

Initial value:
=
{
0x05d0, 0x05d1, 0x05d2, 0x05d3, 0x05d4, 0x05d5, 0x05d6, 0x05d7,
0x05d8, 0x05d9, 0x05da, 0x05db, 0x05dc, 0x05dd, 0x05de, 0x05df,
0x05e0, 0x05e1, 0x05e2, 0x05e3, 0x05e4, 0x05e5, 0x05e6, 0x05e7,
0x05e8, 0x05e9, 0x05ea, 0x05be, 0x05c0, 0x05c3, 0x05f3, 0x05f4,
0x05b0, 0x05b1, 0x05b2, 0x05b3, 0x05b4, 0x05b5, 0x05b6, 0x05b7,
0x05b8, 0x05b9, 0x05ba, 0x05bb, 0x05bc, 0x05bd, 0x05bf, 0x05b7,
0xfbe1, 0x05f0, 0x05f1, 0x05f2, 0x0591, 0x0596, 0x05ad, 0x05a4,
0x059a, 0x059b, 0x05a3, 0x05a5, 0x05a6, 0x05a7, 0x09aa, 0x0592,
0x0593, 0x0594, 0x0595, 0x0597, 0x0598, 0x0599, 0x05a8, 0x059c,
0x059d, 0x059e, 0x05a1, 0x05a9, 0x05a0, 0x059f, 0x05ab, 0x05ac,
0x05af, 0x05c4, 0x0544, 0x05d0, 0xfb31, 0xfb32, 0xfb33, 0xfb34,
0xfb35, 0xfb4b, 0xfb36, 0x05d7, 0xfb38, 0xfb39, 0xfb3b, 0xfb3a,
0x05da, 0x05da, 0x05da, 0x05da, 0x05da, 0x05da, 0xfb3c, 0xfb3e,
0xfb40, 0x05df, 0xfb41, 0xfb44, 0xfb46, 0xfb47, 0xfb2b, 0xfb2d,
0xfb2a, 0xfb2c, 0xfb4a, 0xfb4c, 0xfb4e, 0xfb1f, 0xfb1d
}

Referenced by extendedCharacterWP5ToUCS4().

## hebrewWP6

const unsigned hebrewWP6[]

static

Initial value:
=
{
0x05d0, 0x05d1, 0x05d2, 0x05d3, 0x05d4, 0x05d5, 0x05d6, 0x05d7,
0x05d8, 0x05d9, 0x05da, 0x05db, 0x05dc, 0x05dd, 0x05de, 0x05df,
0x05e0, 0x05e1, 0x05e2, 0x05e3, 0x05e4, 0x05e5, 0x05e6, 0x05e7,
0x05e8, 0x05e9, 0x05ea, 0x05be, 0x05c0, 0x05c3, 0x05f3, 0x05f4,
0x05b0, 0x05b1, 0x05b2, 0x05b3, 0x05b4, 0x05b5, 0x05b6, 0x05b7,
0x05b8, 0x05b9, 0x05b9, 0x05bb, 0x05bc, 0x05bd, 0x05bf, 0x05b7,
0xfb1e, 0x05f0, 0x05f1, 0x05f2, 0xfb1f, 0x0591, 0x0596, 0x0020,
0x05a4, 0x059a, 0x059b, 0x05a3, 0x05a5, 0x05a6, 0x05a7, 0x05a2,
0x0592, 0x0593, 0x0594, 0x0595, 0x0597, 0x0598, 0x0599, 0x05a8,
0x05f3, 0x05f3, 0x05f4, 0x0020, 0x05a9, 0x05a0, 0x059f, 0x05ab,
0x05ac, 0x05af, 0x05c4, 0x05aa, 0xfb30, 0xfb31, 0x05d1, 0xfb32,
0xfb33, 0xfb34, 0xfb35, 0xfb4b, 0xfb36, 0x05d7, 0xfb38, 0xfb39,
0xfb1d, 0xfb3b, 0xfb3a, 0x05da, 0x05da, 0x05da, 0x05da, 0x05da,
0x05da, 0xfb3c, 0xfb3e, 0xfb40, 0x05d5, 0xfb41, 0xfb44, 0x05e4,
0xfb46, 0xfb47, 0xfb2b, 0xfb2d, 0xfb2a, 0xfb2c, 0xfb4a, 0x05dc,
0xfb3c, 0xfb49, 0x20aa
}

Referenced by extendedCharacterWP6ToUCS4().

## iconicWP5

const unsigned iconicWP5[]

static

Initial value:
=
{
0x2665, 0x2666, 0x2663, 0x2660, 0x2642, 0x2640, 0x263c, 0x263a,
0x263b, 0x266a, 0x266c, 0x25ac, 0x2302, 0x203c, 0x221a, 0x21a8,
0x2310, 0x2319, 0x25d8, 0x25d9, 0x21b5, 0x261e, 0x261c, 0x2713,
0x2610, 0x2612, 0x2639, 0x266f, 0x266d, 0x266e, 0x260e, 0x231a,
0x231b, 0x2104, 0x23b5
}

Referenced by extendedCharacterWP5ToUCS4().

## iconicWP6

const unsigned iconicWP6[]

static

Referenced by extendedCharacterWP6ToUCS4().

## international2WP5

const unsigned international2WP5[]

static

Initial value:
=
{
0x0323, 0x0324, 0x02da, 0x0325, 0x02bc, 0x032d, 0x2017, 0x005f,
0x0138, 0x032e, 0x033e, 0x2018, 0x0020, 0x02bd, 0x02db, 0x0327,
0x0321, 0x0322, 0x030d, 0x2019, 0x0329, 0x0020, 0x0621, 0x02be,
0x0306, 0x0310, 0x2032, 0x2034
}

Referenced by extendedCharacterWP5ToUCS4().

## japaneseWP5

const unsigned japaneseWP5[]

static

Initial value:
=
{
0x3041, 0x3043, 0x3045, 0x3047, 0x3049, 0x3053, 0x3083, 0x3085,
0x3087, 0x3094, 0x3095, 0x3096, 0x3042, 0x3044, 0x3046, 0x3048,
0x304a, 0x304b, 0x304d, 0x3047, 0x3051, 0x3053, 0x304c, 0x304e,
0x3050, 0x3052, 0x3054, 0x3055, 0x3057, 0x3059, 0x305b, 0x305d,
0x3056, 0x3058, 0x305a, 0x305c, 0x305e, 0x305f, 0x3051, 0x3064,
0x3066, 0x3068, 0x3060, 0x3062, 0x3065, 0x3067, 0x3069, 0x306a,
0x306b, 0x306c, 0x306d, 0x306e, 0x306f, 0x3072, 0x3075, 0x3078,
0x307b, 0x3070, 0x3073, 0x3076, 0x3079, 0x307c, 0x3071, 0x3074,
0x3077, 0x307a, 0x307d, 0x307e, 0x307f, 0x3080, 0x3081, 0x3082,
0x3084, 0x3086, 0x3088, 0x3089, 0x308a, 0x308b, 0x308c, 0x308d,
0x308e, 0x3092, 0x3093, 0x3014, 0x3015, 0xff3b, 0xff3d, 0x300c,
0x300d, 0x300c, 0x300d, 0x302a, 0x3002, 0x3001, 0x309d, 0x309e,
0x3003, 0x30fc, 0x309b, 0x309c, 0x30a1, 0x30a3, 0x30a5, 0x30a7,
0x30a9, 0x30c3, 0x30e3, 0x30e5, 0x3057, 0x30f4, 0x30f5, 0x30f6,
0x30a2, 0x30a4, 0x30a6, 0x30a8, 0x30aa, 0x30ab, 0x30ad, 0x30af,
0x30b1, 0x30b3, 0x30ac, 0x30ae, 0x30b0, 0x30b2, 0x30b4, 0x30b5,
0x30c4, 0x30b9, 0x30bb, 0x30bd, 0x30b6, 0x30b8, 0x30ba, 0x30bc,
0x30be, 0x30bf, 0x30c1, 0x30c4, 0x30c6, 0x30c8, 0x30c0, 0x30c2,
0x30c5, 0x30c7, 0x30c9, 0x30ca, 0x30cb, 0x30cc, 0x30cd, 0x30ce,
0x30cf, 0x30d2, 0x30d5, 0x30d8, 0x03d0, 0x30db, 0x30d3, 0x30d6,
0x30d9, 0x30dc, 0x30d1, 0x30d4, 0x30d7, 0x30da, 0x30dd, 0x30de,
0x30df, 0x30e0, 0x30e1, 0x30e2, 0x30e4, 0x30e6, 0x30e8, 0x30e9,
0x30ea, 0x30ab, 0x30ec, 0x30ed, 0x30ef, 0x30f2, 0x30f3, 0x30fd,
0x30fe
}

Referenced by extendedCharacterWP5ToUCS4().

## japaneseWP6

const unsigned japaneseWP6[]

static

Initial value:
=
{
0xff61, 0xff62, 0xff63, 0xff64, 0xff65, 0xff66, 0xff67, 0xff68,
0xff69, 0xff6a, 0xff6b, 0xff6c, 0xff6d, 0xff6e, 0xff6f, 0xff70,
0xff71, 0xff72, 0xff73, 0xff74, 0xff75, 0xff76, 0xff77, 0xff78,
0xff79, 0xff7a, 0xff7b, 0xff7c, 0xff7d, 0xff7e, 0xff7f, 0xff80,
0xff81, 0xff82, 0xff83, 0xff84, 0xff85, 0xff86, 0xff87, 0xff88,
0xff89, 0xff8a, 0xff8b, 0xff8c, 0xff8d, 0xff8e, 0xff8f, 0xff90,
0xff91, 0xff92, 0xff93, 0xff94, 0xff95, 0xff96, 0xff97, 0xff98,
0xff99, 0xff9a, 0xff9b, 0xff9c, 0xff9d, 0xff9e, 0xff9f
}

Referenced by extendedCharacterWP6ToUCS4().

## macRomanCharacterMap

const unsigned macRomanCharacterMap[]

Referenced by WP1ContentListener::insertExtendedCharacter(), and WP3ExtendedCharacterGroup::parse().

## mathextWP6

const unsigned mathextWP6[]

static

Referenced by extendedCharacterWP5ToUCS4(), and extendedCharacterWP6ToUCS4().

## mathWP6

const unsigned mathWP6[]

static

Referenced by extendedCharacterWP5ToUCS4(), and extendedCharacterWP6ToUCS4().

## multinationalWP6

const unsigned multinationalWP6[]

static

Referenced by extendedCharacterWP5ToUCS4(), and extendedCharacterWP6ToUCS4().

## multinationalWP6Complex

const WPXComplexMap multinationalWP6Complex[]

static

Initial value:
=
{
{ 156, { 0x02bc, 0x004e, 0x0000 } },
{ 212, { 0x0304, 0x0044, 0x0000 } },
{ 213, { 0x0304, 0x0064, 0x0000 } },
{ 214, { 0x0304, 0x004c, 0x0000 } },
{ 215, { 0x0304, 0x006c, 0x0000 } },
{ 216, { 0x0304, 0x004e, 0x0000 } },
{ 217, { 0x0304, 0x006e, 0x0000 } },
{ 218, { 0x0300, 0x0052, 0x0000 } },
{ 219, { 0x0300, 0x0072, 0x0000 } },
{ 220, { 0x0304, 0x0053, 0x0000 } },
{ 221, { 0x0304, 0x0073, 0x0000 } },
{ 222, { 0x0304, 0x0054, 0x0000 } },
{ 223, { 0x0304, 0x0074, 0x0000 } },
{ 224, { 0x0306, 0x0059, 0x0000 } },
{ 225, { 0x0306, 0x0079, 0x0000 } },
{ 0, { 0x0000 } }
}

Referenced by extendedCharacterWP5ToUCS4(), and extendedCharacterWP6ToUCS4().

## phoneticWP6

const unsigned phoneticWP6[]

static

Initial value:
=
{
0x02b9, 0x02ba, 0x02bb, 0x0020, 0x02bd, 0x02bc, 0x0020, 0x02be,
0x02bf, 0x0310, 0x02d0, 0x02d1, 0x0306, 0x032e, 0x0329, 0x02c8,
0x02cc, 0x02c9, 0x02ca, 0x02cb, 0x02cd, 0x02ce, 0x02cf, 0x02c6,
0x02c7, 0x02dc, 0x0325, 0x02da, 0x032d, 0x032c, 0x0323, 0x0308,
0x0324, 0x031c, 0x031d, 0x031e, 0x031f, 0x0320, 0x0321, 0x0322,
0x032a, 0x032b, 0x02d2, 0x02d3, 0x0361, 0x0356, 0x005f, 0x2017,
0x033e, 0x02db, 0x0327, 0x0233, 0x030d, 0x02b0, 0x02b6, 0x0250,
0x0251, 0x0252, 0x0253, 0x0299, 0x0254, 0x0255, 0x0297, 0x0256,
0x0257, 0x0258, 0x0259, 0x025a, 0x025b, 0x025c, 0x025d, 0x029a,
0x025e, 0x025f, 0x0278, 0x0261, 0x0260, 0x0262, 0x029b, 0x0263,
0x0264, 0x0265, 0x0266, 0x0267, 0x029c, 0x0268, 0x026a, 0x0269,
0x029d, 0x029e, 0x026b, 0x026c, 0x026d, 0x029f, 0x026e, 0x028e,
0x026f, 0x0270, 0x0271, 0x0272, 0x0273, 0x0274, 0x0276, 0x0277,
0x02a0, 0x0279, 0x027a, 0x027b, 0x027c, 0x027d, 0x027e, 0x027f,
0x0280, 0x0281, 0x0282, 0x0283, 0x0284, 0x0285, 0x0286, 0x0287,
0x0288, 0x0275, 0x0289, 0x028a, 0x028c, 0x028b, 0x028d, 0x03c7,
0x028f, 0x0290, 0x0291, 0x0292, 0x0293, 0x0294, 0x0295, 0x0296,
0x02a1, 0x02a2, 0x0298, 0x02a3, 0x02a4, 0x02a5, 0x02a6, 0x02a7,
0x02a8
}

Referenced by extendedCharacterWP6ToUCS4().

## typographicWP6

const unsigned typographicWP6[]

static

Initial value:
=
{
0x25cf, 0x25cb, 0x25a0, 0x2022, 0x002a, 0x00b6, 0x00a7, 0x00a1,
0x00bf, 0x00ab, 0x00bb, 0x00a3, 0x00a5, 0x20a7, 0x0192, 0x00aa,
0x00ba, 0x00bd, 0x00bc, 0x00a2, 0x00b2, 0x207f, 0x00ae, 0x00a9,
0x00a4, 0x00be, 0x00b3, 0x201b, 0x2019, 0x2018, 0x201f, 0x201d,
0x201c, 0x2013, 0x2014, 0x2039, 0x203a, 0x25cb, 0x25a1, 0x2020,
0x2021, 0x2122, 0x2120, 0x211e, 0x25cf, 0x25e6, 0x25a0, 0x25aa,
0x25a1, 0x25ab, 0x2012, 0xfb00, 0xfb03, 0xfb04, 0xfb01, 0xfb02,
0x2026, 0x0024, 0x20a3, 0x20a2, 0x20a0, 0x20a4, 0x201a, 0x201e,
0x2153, 0x2154, 0x215b, 0x215c, 0x215d, 0x215e, 0x24c2, 0x24c5,
0x20ac, 0x2105, 0x2106, 0x2030, 0x2116, 0x2014, 0x00b9, 0x2409,
0x240c, 0x240d, 0x240a, 0x2424, 0x240b, 0x267c, 0x20a9, 0x20a6,
0x20a8, 0x0020, 0x0020, 0x0020, 0x0020, 0x0020, 0x0020, 0x0020,
0x0020, 0x0020, 0x0020, 0x0020, 0x1d11e, 0x1d122
}

Referenced by extendedCharacterWP5ToUCS4(), and extendedCharacterWP6ToUCS4().